
TH1* heff;
TH1* heffb12b01;

void Be14_eff()
{
  gROOT->ProcessLine(".L macros/TAnalysis14Be.cc+");
  heff = new TH1D("heff","",200,0,20);
  heffb12b01 = new TH2D("heffb12b01","",200,0,20,200,-5,5);
  for(int i=0;i<200;++i){
  //  for(int i=0;i<10;++i){
    TAnalysis14Be ananeut;
    char filename[100]; 
    sprintf(filename, "root/efficiency/nebula_14Be%04d.root",i);
    ananeut.book(filename);
    ananeut.SetNumberOfNeutrons(2);
    ananeut.StartAnalysis();
    ht(48);
    //    bnx(-5,1); // -5 < beta01/beta12 < 1
    bnx(-1,1); // -1 < beta01/beta12 < 1
    Double_t x = gH1->GetEntries();
    heff->SetBinContent(i+1,x);
    ht(48);
    pry();
    for(int j=0;j<200;++j){
      Double_t x = gH1->GetBinContent(j+1);
      heffb12b01->SetBinContent(i+1,j+1,x);
    }
    hdel(1,1000);
    heffb12b01->Draw("colz");
    update();
  }
}
