#ifndef TANALYSIS14BE_HH
#define TANALYSIS14BE_HH

#include "TAnalysisNebula.hh"

class TAnalysis14Be : public TAnalysisNebula
{
public:
  TAnalysis14Be();
  virtual ~TAnalysis14Be();

  virtual int ProcessOneEvent();

protected:
  virtual int ReadParameters(TFile* file);
  virtual int CreateHist();

  bool vetolocal(std::vector<TAnalysisNebulaData>& data_v);

  TH1* fHErel;
  TH1* fHErelBetaDBeta;

  ClassDef(TAnalysis14Be, 1)
};

#endif
