#ifndef TDATAINITIALIZERINTERFACE_HH
#define TDATAINITIALIZERINTERFACE_HH

#include "TObject.h"

// #include <string>
// #include <deque>

class TFile;
class TTree;

class TDataInitializerInterface
{
public:
  TDataInitializerInterface();
  virtual ~TDataInitializerInterface();
  
  // called in RunActionBasic
  virtual int Initialize() = 0;
  virtual int CreateBranch(TTree* tree) = 0;
  virtual int AddParameters(TFile* file) = 0;
  virtual int RemoveParameters(TFile* file) = 0;
  virtual int PrintParameters(TFile* file) = 0;

  // called in EventActionBasic
  virtual int ClearBuffer() = 0;

  //protected:
  //  std::deque<std::string> fROOTFileNameArray;

  //  TFile* fFileSim;
  //  TFile* fFileExp;

  //  Long64_t fNumberOfEntries;
  //  Int_t fInitial;

  ClassDef(TDataInitializerInterface, 1)
};

#endif
