
#include "TSimulationParameterNeutronDetector.hh"

#include <iostream>

ClassImp(TSimulationParameterNeutronDetector)

TSimulationParameterNeutronDetector* gSimulationParameterNeutronDetector = 0;

std::ostream& operator<<(std::ostream& out, const TSimulationParameterNeutronDetector& simulationParameterNeutronDetector)
{
  out << simulationParameterNeutronDetector.fNeutNumber << " ";
  out << simulationParameterNeutronDetector.fNeutSize.X() << " ";
  out << simulationParameterNeutronDetector.fNeutSize.Y() << " ";
  out << simulationParameterNeutronDetector.fNeutSize.Z() << " ";
  out << simulationParameterNeutronDetector.fNeutGap << " ";
  out << simulationParameterNeutronDetector.fNeutRotationMode << " ";

  out << simulationParameterNeutronDetector.fVetoNumber << " ";
  out << simulationParameterNeutronDetector.fVetoSize.X() << " ";
  out << simulationParameterNeutronDetector.fVetoSize.Y() << " ";
  out << simulationParameterNeutronDetector.fVetoSize.Z() << " ";
  out << simulationParameterNeutronDetector.fVetoGap.Y() << " ";
  out << simulationParameterNeutronDetector.fVetoGap.Z() << " ";
  out << simulationParameterNeutronDetector.fVetoRotationMode << " ";

  out << simulationParameterNeutronDetector.fNeutLayerNumber << " ";
  out << simulationParameterNeutronDetector.fNeutLayerGap << " ";

  out << simulationParameterNeutronDetector.fNeutVetoGap << " ";

  out << simulationParameterNeutronDetector.fStuckNumber << " ";
  out << simulationParameterNeutronDetector.fStuckGap << " ";

  out << simulationParameterNeutronDetector.fPosition.X() << " ";
  out << simulationParameterNeutronDetector.fPosition.Y() << " ";
  out << simulationParameterNeutronDetector.fPosition.Z() << " ";

  out << simulationParameterNeutronDetector.fNeutPos.X() << " ";
  out << simulationParameterNeutronDetector.fNeutPos.Y() << " ";
  out << simulationParameterNeutronDetector.fNeutPos.Z() << " ";

  out << simulationParameterNeutronDetector.fNeutPosShift.X() << " ";
  out << simulationParameterNeutronDetector.fNeutPosShift.Y() << " ";
  out << simulationParameterNeutronDetector.fNeutPosShift.Z() << " ";

  out << simulationParameterNeutronDetector.fVetoPos.X() << " ";
  out << simulationParameterNeutronDetector.fVetoPos.Y() << " ";
  out << simulationParameterNeutronDetector.fVetoPos.Z() << " ";

  out << simulationParameterNeutronDetector.fVetoPosShift.X() << " ";
  out << simulationParameterNeutronDetector.fVetoPosShift.Y() << " ";
  out << simulationParameterNeutronDetector.fVetoPosShift.Z() << " ";

  out << simulationParameterNeutronDetector.fNeutLayerSize.X() << " ";
  out << simulationParameterNeutronDetector.fNeutLayerSize.Y() << " ";
  out << simulationParameterNeutronDetector.fNeutLayerSize.Z() << " ";

  out << simulationParameterNeutronDetector.fVetoLayerSize.X() << " ";
  out << simulationParameterNeutronDetector.fVetoLayerSize.Y() << " ";
  out << simulationParameterNeutronDetector.fVetoLayerSize.Z() << " ";

  out << simulationParameterNeutronDetector.fNeutStuckSizeZ << " ";
  out << simulationParameterNeutronDetector.fVetoStuckSizeZ << " ";

  out << simulationParameterNeutronDetector.fNeutLayerPos.X() << " ";
  out << simulationParameterNeutronDetector.fNeutLayerPos.Y() << " ";
  out << simulationParameterNeutronDetector.fNeutLayerPos.Z() << " ";

  out << simulationParameterNeutronDetector.fVetoLayerPos.X() << " ";
  out << simulationParameterNeutronDetector.fVetoLayerPos.Y() << " ";
  out << simulationParameterNeutronDetector.fVetoLayerPos.Z() << " ";

  out << simulationParameterNeutronDetector.fNeutLayerPosShift.X() << " ";
  out << simulationParameterNeutronDetector.fNeutLayerPosShift.Y() << " ";
  out << simulationParameterNeutronDetector.fNeutLayerPosShift.Z() << " ";

  out << simulationParameterNeutronDetector.fNeutLongSide << " ";
  out << simulationParameterNeutronDetector.fVetoLongSide << " ";

  out << simulationParameterNeutronDetector.fStuckSize.X() << " ";
  out << simulationParameterNeutronDetector.fStuckSize.Y() << " ";
  out << simulationParameterNeutronDetector.fStuckSize.Z() << " ";

  out << simulationParameterNeutronDetector.fStuckPos.X() << " ";
  out << simulationParameterNeutronDetector.fStuckPos.Y() << " ";
  out << simulationParameterNeutronDetector.fStuckPos.Z() << " ";

  out << simulationParameterNeutronDetector.fStuckPosShift.X() << " ";
  out << simulationParameterNeutronDetector.fStuckPosShift.Y() << " ";
  out << simulationParameterNeutronDetector.fStuckPosShift.Z() << " ";

  out << simulationParameterNeutronDetector.fSize.X() << " ";
  out << simulationParameterNeutronDetector.fSize.Y() << " ";
  out << simulationParameterNeutronDetector.fSize.Z() << " ";
  out << simulationParameterNeutronDetector.fNeutFaceZ << " ";

  return out;
}

TSimulationParameterNeutronDetector::TSimulationParameterNeutronDetector()
  : TNamed("parameterNeutronDetector","")
{;}

TSimulationParameterNeutronDetector::TSimulationParameterNeutronDetector(const char* name, const char* title)
  : TNamed(name, title)
{;}

TSimulationParameterNeutronDetector::TSimulationParameterNeutronDetector(const TString& name, const TString& title)
  : TNamed(name, title)
{;}

TSimulationParameterNeutronDetector::~TSimulationParameterNeutronDetector()
{;}
