#ifndef DetectorCONSTRUCTIONMESSENGER_HH
#define DetectorCONSTRUCTIONMESSENGER_HH

#include "G4UImessenger.hh"

class DetectorConstruction;

class G4UIdirectory;
class G4UIcmdWithoutParameter;

class DetectorConstructionMessenger : public G4UImessenger
{
public:
  DetectorConstructionMessenger(DetectorConstruction*);
  virtual ~DetectorConstructionMessenger();

  void SetNewValue(G4UIcommand*, G4String);

protected:
  DetectorConstruction* fDetectorConstruction;

  G4UIdirectory* fDetectorDirectory;

  G4UIcmdWithoutParameter* fUpdateCmd;
};

#endif

