#ifndef TANALYSIS18B_HH
#define TANALYSIS18B_HH

#include "TAnalysisNebula.hh"

class TAnalysis18B : public TAnalysisNebula
{
public:
  TAnalysis18B();
  virtual ~TAnalysis18B();

  virtual int ProcessOneEvent();

protected:
  virtual int ReadParameters(TFile* file);
  virtual int CreateHist();

  bool vetolocal(std::vector<TAnalysisNebulaData>& data_v);

  TH1* fHErel;
  TH1* fHErelBetaDBeta;

  ClassDef(TAnalysis18B, 1)
};

#endif
