#ifndef TDATAINITIALIZERGAMMADETECTOR_HH
#define TDATAINITIALIZERGAMMADETECTOR_HH

#include "TObject.h"

#include "TDataInitializerInterface.hh"
#include "TSimulationDataScintillator.hh"

class TFile;
class TTree;

class TDataInitializerGammaDetector : public TDataInitializerInterface
{
public:
  TDataInitializerGammaDetector();
  virtual ~TDataInitializerGammaDetector();
  
  virtual int Initialize();
  virtual int CreateBranch(TTree* tree);
  virtual int AddParameters(TFile* file);
  virtual int RemoveParameters(TFile* file);
  virtual int PrintParameters(TFile* file);

  virtual int ClearBuffer();

  ClassDef(TDataInitializerGammaDetector, 1)
};

#endif
